Bug 1140266 (CVE-2014-7155) - CVE-2014-7155 kernel: xen: Missing privilege level checks in x86 HLT, LGDT, LIDT, and LMSW emulation (XSA-105)
Summary: CVE-2014-7155 kernel: xen: Missing privilege level checks in x86 HLT, LGDT, L...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2014-7155
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1145737
Blocks: 1140259
TreeView+ depends on / blocked
 
Reported: 2014-09-10 15:32 UTC by Petr Matousek
Modified: 2019-09-29 13:21 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-10 15:34:32 UTC


Attachments (Terms of Use)

Description Petr Matousek 2014-09-10 15:32:11 UTC
The emulation of the instructions HLT, LGDT, LIDT, and LMSW fails to
perform supervisor mode permission checks.

Malicious HVM guest user mode code may be able to crash the guest or
escalate its own privilege to guest kernel mode.

Acknowledgements:

Red Hat would like to thank the Xen for reporting this issue.

Comment 3 Petr Matousek 2014-09-10 15:34:32 UTC
Statement:

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

Comment 4 Petr Matousek 2014-09-23 15:22:14 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1145737]


Note You need to log in before you can comment on or make changes to this bug.